package org.example;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class BrokenPipeError {
    public static void main(String[] args) throws IOException, InterruptedException {
        // Create a server socket.
        ServerSocket serverSocket = new ServerSocket(8080);

        // Accept a connection from a client.
        Socket socket = serverSocket.accept();

        // Create a thread to write data to the client.
        Thread writerThread = new Thread(() -> {
            while (true) {
                try {
                    byte[] bs = new byte[20 * 1024];

                    Thread.sleep(2000);

                    // Write data to the client.
                    socket.getOutputStream().write(bs);
                } catch (IOException e) {
                    e.printStackTrace();
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
            }
        });

        // Start the thread to write data to the client.
        writerThread.start();
    }
}
